// function headerScrollToFix() {
//     var $header = $('header');
//     var hheight=$header.outerHeight() + 100;
//     if($(window).scrollTop() >= hheight) {
//         $header.stop( true, true ).addClass('onscroll animated fadeInDown');
//     }  else {
//         if ( $header.hasClass( 'onscroll' ) ) {
//             $header.stop( true, true ).addClass( 'fadeOutUp' ).delay(300).queue( function( next ) {
//                 $( this ).removeClass('onscroll animated fadeInDown fadeOutUp');
//                 next();
//             } );
//         }
//     }
// }
function removeEmpty(selector) {
    $(selector).each(function(){
        var me=$(this);
        if($.trim(me.text())=='' && $.trim(me.html())=='')
            me.remove();
    });
}

// Document ready
$(function(){
    $("html").addClass('docReady');
    
    var pos = 0;
    $(window).on("scroll", function () {
        $('header').removeAttr('style');
        $(window).scrollTop() > $('header').outerHeight() && $(window).scrollTop() < ($('header').outerHeight()+200)
                ? $('header').addClass("pre-stuck")
                : $(window).scrollTop() >= ($('header').outerHeight()+200)
                ? ($('header').hasClass("pre-stuck") || $('header').addClass("pre-stuck"), $('body')[0].getBoundingClientRect().top <= pos ? $('header').addClass("hide-header") : $('header').removeClass("hide-header").addClass("stuck"))
                : $(window).scrollTop() <= $('header').outerHeight() && $('body')[0].getBoundingClientRect().top > pos && (true, $('header').removeClass("stuck").removeClass("pre-stuck")),
                (pos = $('body')[0].getBoundingClientRect().top);
    });

    $('header #search').attr('placeholder','Search...');
    
    $('header .btn-search').on('click', function () {
        $(this).next().addClass('open');
        $('header').addClass('menu-open');
        setTimeout(function() {
            $('#search').focus();
        }, 500);
    });
    
    $('.search-bar .btn-close').on('click', function () {
        $(this).parent().removeClass('open');
        $('header').css({
            "-webkit-transform": "translateZ(0)",
            "transform": "translateZ(0)",
            "position" : "fixed"
        });
        $('header').removeClass('menu-open');
    });
    
    $('.main_menu li .sub-menu-btn').on('click', function () {
        $(this).toggleClass('active').parent().find('ul').toggleClass('open');
    });
    
    $(".btn-menu").on('click', function () {
        $("nav#main-menu").toggleClass("open");
        if ($(this).hasClass('active')) {
            $('header').css({
                "-webkit-transform": "translateZ(0)",
                "transform": "translateZ(0)",
                "position" : "fixed"
            });
        }
        $(this).toggleClass('active');
        $('header').toggleClass('menu-open');
    });


    $('.tabs-nav li').each(function () {
        var $a=$(this).find('.tabs-anchor');
        if($.trim($a.text())=='' && $.trim($a.html())=='')
            $(this).remove();
    });
  
    // $(".menu-overlay").click(function () {
    //     $(".right-menu, .menu-overlay").removeClass("open");
    //     $("html").removeClass("wrap");
    //     $(".button-menu").removeClass('active');
    // });


    // START Youtube - Vimeo substitution with image

    $("iframe").each(function () {
        var el = $(this),
                elSrc = el.attr("src") + "";

        var videoTitle = "";

        if(el.siblings(".title")){
            videoTitle = el.siblings(".title").text().replace(/ /g,'_').replace(/[^a-zA-Z0-9_]/g, '');
        }


        if (elSrc.indexOf("https://www.youtube.com/embed/") >= 0) {
            console.log("youtube");

            if (!$(this).parents('.youtube-responsive').length) {
                $(this).wrap("<div class='youtube-responsive'></div>");
            }

            var youtubeId = el.attr("src").substring(("https://www.youtube.com/embed/").length, el.attr("src").indexOf("?") >= 0 ? el.attr("src").indexOf("?") : el.attr("src").length),
                    //       youtubeImage = "<div class='show-youtube-video' data-video='" + youtubeId + "'><div class='youtube-play-button'></div><img  src=\'https://img.youtube.com/vi/" + youtubeId + "/0.jpg' alt=" + videoTitle + "></div>";
                    youtubeImage = "<div class='show-youtube-video' data-video='" + youtubeId + "'><div class='youtube-play-button'></div><img  src=\'https://img.youtube.com/vi/" + youtubeId + "/sddefault.jpg' alt=" + videoTitle + "></div>";
            $(this).after(youtubeImage).remove();

        } else if (elSrc.indexOf("https://player.vimeo.com/video/") >= 0) {
            console.log("vimeo");

            if (!$(this).parents('.youtube-responsive').length) {
                $(this).wrap("<div class='youtube-responsive'></div>");
            }

            var vimeoId = el.attr("src").substring(("https://player.vimeo.com/video/").length, el.attr("src").indexOf("?") >= 0 ? el.attr("src").indexOf("?") : el.attr("src").length);
            $(this).after("<div id=\'vimeo_" + vimeoId + "\'" + " class=\'show-vimeo-video\' data-video='" + vimeoId + "'><div class='vimeo-play-button'></div></div>").remove();

            $.ajax({
                type: 'GET',
                url: 'https://vimeo.com/api/v2/video/' + vimeoId + '.json',
                jsonp: 'callback',
                dataType: 'jsonp',
                success: function (data) {
                    var vimeoImage = data[0].thumbnail_large;
                    videoTitle = data[0].title.replace(/ /g,'_').replace(/[^a-zA-Z0-9_]/g, '');
                    $("#vimeo_" + vimeoId + " .vimeo-play-button").after("<img src='" + vimeoImage + "' alt=" + videoTitle + ">");
                }
            });

        } else {
            console.log("other");
        }
    });

    $(".show-youtube-video").on("click", function () {
        var video = $(this).attr("data-video"),
                youtubeVideoLink = "https://www.youtube.com/embed/" + video + "?rel=0&showinfo=1&autoplay=1";
        $(this)
                .toggleClass("active")
                .html("<iframe src=" + youtubeVideoLink + " allow='accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture' allowfullscreen='' width='560' height='315'></iframe>");
    });

    $(".show-vimeo-video").on("click", function () {
        var video = $(this).attr("data-video"),
                vimeoVideoLink = "https://player.vimeo.com/video/" + video + "?loop=1&amp;autopause=0&amp;autoplay=1";
        $(this)
                .toggleClass("active")
                .html("<iframe src=" + vimeoVideoLink + " width='640' height='360' frameborder='0' allow='autoplay; fullscreen' allowfullscreen=''></iframe>");
    });

    // END Youtube - Vimeo substitution with image
});





// $(window).on("scroll", function () {
//     var j = 0;
//     $(window).scrollTop() > $('header').height() && $(window).scrollTop() < ($('header').height()+200)
//             ? $('header').addClass("pre-stuck")
//             : $(window).scrollTop() >= ($('header').height()+200)
//             ? true
//                     ? ($('header').hasClass("pre-stuck") || $('header').addClass("pre-stuck"), $('body')[0].getBoundingClientRect().top <= j ? $('header').addClass("hide") : $('header').removeClass("hide").addClass("stuck"))
//                     : ($('header').addClass("stuck"), true || $('#tatsu-header-placeholder').css("height", $('header').height()))
//             : $(window).scrollTop() <= $('header').height() && $('body')[0].getBoundingClientRect().top > j && (true || $('#tatsu-header-placeholder').css("height", "0"), $('header').removeClass("stuck").removeClass("pre-stuck")),
//             (j = $('body')[0].getBoundingClientRect().top);
// });


